package com.brilliance.isc.common.api.codetable.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.mda.runtime.mda.CodetableItem;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CodetableResponseVo extends AbstractCommonVo {

    private List<CodetableItem> roleSet;

    private List<CodetableItem> feeCodeSet;

    private List<CodetableItem> foreignRoleSet;

    @Override
    public void reset() {
        if (roleSet == null) {
            roleSet = new ArrayList<>();
        }
        if (feeCodeSet == null) {
            feeCodeSet = new ArrayList<>();
        }
        if (foreignRoleSet == null) {
            foreignRoleSet = new ArrayList<>();
        }
    }
}
